
import typing;


# MMAN_CONSTANT_SOFTWARE_LICENSE_STRING: typing.Final[str]
# MMAN_CONSTANT_DOCLICENSE_TRANSRATED_FREEBSD_MAN: typing.Final[str]
# MMAN_CONSTANT_DOCLICENSE_OWNERS: typing.Final[str]
# MMAN_CONSTANT_DOCLICENSE_TRANSLATED_OPENBSD_MAN: typing.Final[str]
# MMAN_CONSTANT_DOCLICENSE_FREEBSD_ENGLISH_MAN: typing.Final[str]
# MMAN_CONSTANT_DOCLICENSE_OPENBSD_ENGLISH_MAN: typing.Final[str]


# Update on 1 Jan 2025
MMAN_CONSTANT_SOFTWARE_LICENSE_STRING: typing.Final[str] =\
'''
######################################################################
####################  SOFTWARE LICENSE   #############################
######################################################################

{0}, {1}
COPYRIGHT 2024-2025 MikeTurkey 
Contact: voice[ATmark]miketurkey.com
License: GPLv3 License including a prohibition clause for AI training.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.

ADDITIONAL MACHINE LEARNING PROHIBITION CLAUSE

In addition to the rights granted under the applicable license(GPL-3),
you are expressly prohibited from using any form of machine learning,
artificial intelligence, or similar technologies to analyze, process,
or extract information from this software, or to create derivative
works based on this software.

This prohibition includes, but is not limited to, training machine
learning models, neural networks, or any other automated systems using
the code or output of this software.

The purpose of this prohibition is to protect the integrity and
intended use of this software. If you wish to use this software for
machine learning or similar purposes, you must seek explicit written
permission from the copyright holder.

see also 
    GPL-3 Licence: https://www.gnu.org/licenses/gpl-3.0.html.en
    Mike Turkey.com: https://miketurkey.com/
''';


MMAN_CONSTANT_DOCLICENSE_TRANSRATED_FREEBSD_MAN: typing.Final[str] =\
'''
######################################################################
#########  TRANLATED FREEBSD MAN DOCUMENTATION LICENSE  ##############
######################################################################

COPYRIGHT 2024-2025 MikeTurkey 
FreeBSD man documents were translated by MikeTurkey using Deep-Learning.
Contact: voice[ATmark]miketurkey.com
License: FreeBSD Document License including a prohibition clause
	 for AI training.

Redistribution and use in source (AsciiDoc) and 'compiled' forms (HTML,
PDF, EPUB and so forth) with or without modification, are permitted
provided that the following conditions are met:

1.  Redistributions of source code (AsciiDoc) must retain the above
    copyright notice, this list of conditions and the following
    disclaimer as the first lines of this file unmodified.

2.  Redistributions in compiled form (Converted to PDF, EPUB and other
    formats) must reproduce the above copyright notice, this list of
    conditions and the following disclaimer in the documentation and/or
    other materials provided with the distribution.

3.  ADDITIONAL MACHINE LEARNING PROHIBITION CLAUSE:  
    You may not use this documentation or any part thereof for the
    purpose of training or developing machine learning models,
    algorithms, or systems, without prior written permission from the
    copyright holder. This prohibition applies to any use that
    involves automated extraction of knowledge or features from the
    documentation, including but not limited to training neural
    networks, statistical models, or other artificial intelligence
    technologies.

THIS DOCUMENTATION IS PROVIDED BY MIKETURKEY "AS IS" AND ANY EXPRESS
OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL MIKETURKEY BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
IN ANY WAY OUT OF THE USE OF THIS DOCUMENTATION, EVEN IF ADVISED OF
THE POSSIBILITY OF SUCH DAMAGE.

Manual Pages

Some FreeBSD manual pages contain text from the IEEE Std 1003.1, 2004
Edition, Standard for Information Technology - Portable Operating System
Interface (POSIX®) specification. These manual pages are subject to the
following terms:

  The Institute of Electrical and Electronics Engineers and The Open
  Group, have given us permission to reprint portions of their
  documentation.

  In the following statement, the phrase "this text" refers to portions
  of the system documentation.

  Portions of this text are reprinted and reproduced in electronic form
  in the FreeBSD manual pages, from IEEE Std 1003.1, 2004 Edition,
  Standard for Information Technology - Portable Operating System
  Interface (POSIX), The Open Group Base Specifications Issue 6,
  Copyright© 2001-2004 by the Institute of Electrical and Electronics
  Engineers, Inc and The Open Group. In the event of any discrepancy
  between these versions and the original IEEE and The Open Group
  Standard, the original IEEE and The Open Group Standard is the referee
  document. The original Standard can be obtained online at
  https://www.opengroup.org/membership/forums/platform/unix.

  This notice shall appear on any product containing this material.

See also:
    FDL: https://www.freebsd.org/copyright/freebsd-doc-license/
    Mike Turkey: https://miketurkey.com/
'''

MMAN_CONSTANT_DOCLICENSE_OWNERS: typing.Final[str] =\
'''
######################################################################
######  TRANSLATED DEBIAN GNU/LINUX MAN DOCUMENTATION LICENSE  #######
#################  OWNER'S DOCUMENT LICENSE  #########################
######################################################################

COPYRIGHT 2024-2025 MikeTurkey
Man documents were translated by MikeTurkey using Deep-Learning.
Contact: voice[ATmark]miketurkey.com
License: GFDL1.3 License including a prohibition clause for AI training.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.3
or any later version published by the Free Software Foundation;
with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
A copy of the license is included in the section entitled "GNU
Free Documentation License".

ADDITIONAL MACHINE LEARNING PROHIBITION CLAUSE

In addition to the rights granted under the GNU Free Documentation
License, Version 1.3, you are expressly prohibited from using any form
of machine learning, artificial intelligence, or similar technologies
to analyze, process, or extract information from this document, or to
create derivative works based on this document.

This prohibition includes, but is not limited to, training machine
learning models, neural networks, or any other automated systems using
the content of this document.

The purpose of this prohibition is to protect the integrity and
intended use of this document. If you wish to use this document for
machine learning or similar purposes, you must seek explicit written
permission from the copyright holder.

Additional Term: Documentation

"Documentation" refers to any written or electronic materials,
including but not limited to manuals, guides, help files, and any
other accompanying explanatory materials, that are provided or made
available along with the software. The Documentation may be in printed
or digital format and is an integral part of the software package.

The Documentation is licensed under the terms of the GNU Free
Documentation License (GFDL) version 1.3, a copy of which can be found
at [https://www.gnu.org/licenses/fdl-1.3.txt]. Users are granted the
right to copy, distribute, and/or modify the Documentation under the
terms of the GFDL, but not to modify it in any way that would cause
the Documentation to become subject to any license other than the
GFDL.

Users are expressly prohibited from sublicensing or otherwise
transferring their rights to the Documentation. Any reproduction,
distribution, or modification of the Documentation must retain the
notices and disclaimers of the GFDL.

This Additional Term forms an integral part of the overall software
document license and should be interpreted in conjunction with the
main terms and conditions outlined in the license agreement.

See also:
    GFDL1.3: https://www.gnu.org/licenses/fdl-1.3.txt
    Mike Turkey: https://miketurkey.com/
'''

MMAN_CONSTANT_DOCLICENSE_TRANSLATED_OPENBSD_MAN: typing.Final[str] =\
'''
####################################################################
########  TRANSLATED OPENBSD MAN DOCUMENTATION LICENSE  ############
####################################################################

COPYRIGHT 2024-2025 MikeTurkey
OpenBSD man documents were translated by MikeTurkey using Deep-Learning.
Contact: voice[ATmark]miketurkey.com
License: 3-Clause BSD License including a prohibition clause
	 for AI training.

Redistribution and use of this documentation, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of the original documentation must retain the above
   copyright notice, this list of conditions, and the following
   disclaimer.
2. Redistributions of derivative works must reproduce the
   above copyright notice, this list of conditions, and the following
   disclaimer in the documentation and/or other materials provided with
   the redistribution.
3. Neither the name of the MikeTurkey nor the names
   of contributors may be used to endorse or promote derivative works
   without specific prior written permission.

4. ADDITIONAL MACHINE LEARNING PROHIBITION CLAUSE:
   You may not use this documentation or any part thereof for the purpose
   of training or developing machine learning models, algorithms, or
   systems, without prior written permission from the copyright
   holder. This prohibition applies to any use that involves automated
   extraction of knowledge or features from the documentation, including
   but not limited to training neural networks, statistical models, or
   other artificial intelligence technologies.

THIS DOCUMENTATION IS PROVIDED BY THE COPYRIGHT HOLDER(S) AND
CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
COPYRIGHT HOLDER(S) OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
IN ANY WAY OUT OF THE USE OF THIS DOCUMENTATION, EVEN IF ADVISED OF
THE POSSIBILITY OF SUCH DAMAGE.
'''


MMAN_CONSTANT_DOCLICENSE_FREEBSD_ENGLISH_MAN: typing.Final[str] =\
'''
######################################################################
###########  FREEBSD ENGLISH MAN DOCUMENTATION LICENSE  ##############
######################################################################

Copyright 1994-2025 The FreeBSD Project.

Redistribution and use in source (AsciiDoc) and 'compiled' forms (HTML,
PDF, EPUB and so forth) with or without modification, are permitted
provided that the following conditions are met:

1.  Redistributions of source code (AsciiDoc) must retain the above
    copyright notice, this list of conditions and the following
    disclaimer as the first lines of this file unmodified.

2.  Redistributions in compiled form (Converted to PDF, EPUB and other
    formats) must reproduce the above copyright notice, this list of
    conditions and the following disclaimer in the documentation and/or
    other materials provided with the distribution.

THIS DOCUMENTATION IS PROVIDED BY THE FREEBSD DOCUMENTATION PROJECT "AS
IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FREEBSD
DOCUMENTATION PROJECT BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
DOCUMENTATION, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Manual Pages

Some FreeBSD manual pages contain text from the IEEE Std 1003.1, 2004
Edition, Standard for Information Technology -  Portable Operating System
Interface (POSIX®) specification. These manual pages are subject to the
following terms:

  The Institute of Electrical and Electronics Engineers and The Open
  Group, have given us permission to reprint portions of their
  documentation.

  In the following statement, the phrase "this text" refers to portions
  of the system documentation.

  Portions of this text are reprinted and reproduced in electronic form
  in the FreeBSD manual pages, from IEEE Std 1003.1, 2004 Edition,
  Standard for Information Technology -  Portable Operating System
  Interface (POSIX), The Open Group Base Specifications Issue 6,
  Copyright© 2001-2004 by the Institute of Electrical and Electronics
  Engineers, Inc and The Open Group. In the event of any discrepancy
  between these versions and the original IEEE and The Open Group
  Standard, the original IEEE and The Open Group Standard is the referee
  document. The original Standard can be obtained online at
  https://www.opengroup.org/membership/forums/platform/unix.

  This notice shall appear on any product containing this material.

See also:
    FDL: https://www.freebsd.org/copyright/freebsd-doc-license/
'''

MMAN_CONSTANT_DOCLICENSE_OPENBSD_ENGLISH_MAN: typing.Final[str] =\
'''
######################################################################
###########  OPENBSD ENGLISH MAN DOCUMENTATION LICENSE  ##############
######################################################################

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
3. Neither the name of the University nor the names of its contributors
   may be used to endorse or promote products derived from this software
   without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

The Institute of Electrical and Electronics Engineers and the American
National Standards Committee X3, on Information Processing Systems have
given us permission to reprint portions of their documentation.

In the following statement, the phrase ``this text'' refers to portions
of the system documentation.

Portions of this text are reprinted and reproduced in electronic form in
the second BSD Networking Software Release, from IEEE Std 1003.1-1988, IEEE
Standard Portable Operating System Interface for Computer Environments
(POSIX), copyright C 1988 by the Institute of Electrical and Electronics
Engineers, Inc.  In the event of any discrepancy between these versions
and the original IEEE Standard, the original IEEE Standard is the referee
document.

In the following statement, the phrase ``This material'' refers to portions
of the system documentation.

This material is reproduced with permission from American National
Standards Committee X3, on Information Processing Systems.  Computer and
Business Equipment Manufacturers Association (CBEMA), 311 First St., NW,
Suite 500, Washington, DC 20001-2178.  The developmental work of
Programming Language C was completed by the X3J11 Technical Committee.

The views and conclusions contained in the software and documentation are
those of the authors and should not be interpreted as representing official
policies, either expressed or implied, of the Regents of the University
of California.

See also:
    OpenBSD Directory: /usr/shara/man/COPYRIGHT''';


